Bug Hunting Session
Bug 96336 - Format > Page dialog and selection doubtably different for Writer/Calc/Draw
Summary: Format > Page dialog and selection doubtably different for Writer/Calc/Draw
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog Page-Dialog
  Show dependency treegraph
 
Reported: 2015-12-08 11:49 UTC by Wolfgang Jäger
Modified: 2018-01-16 10:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Jäger 2015-12-08 11:49:30 UTC
If there is not a stringent reason to have it the way it is, the naming of properties (groups of) should be the same for documents of the three components wherever applicable.
In the  > Format > Page dialog we have presently 'Area' in Writer and 'Background' in Calc and in Draw. 
In addition there are different options/settings offered. In specific in Writer importable graphics are exclusively listed as 'Bitmap' despite the fact that other grahic formats also are accepted when imported. 
In addition in Writer the choice of a specific graphic is done via 'Import Graphic...' (For what reason the triple dots?) while in Calc and Draw we find 'Graphic'.
There were related topics in fora. This one is an example: https://ask.libreoffice.org/en/question/45775/
Comment 1 Wolfgang Jäger 2015-12-08 11:54:52 UTC
Missed to mention that the alternative to 'Import Graphic...' in Writer was 'File', 'Browse' in Draw and in Calc.
Comment 2 Wolfgang Jäger 2015-12-08 14:19:38 UTC
Erratum: Last word before start of the last paragraph in the 'Description' should read 'Browse' instead of 'Graphic'.
Comment 3 Buovjaga 2015-12-10 10:13:20 UTC
Requesting ux advice.
Comment 4 Heiko Tietze 2015-12-10 11:52:37 UTC
The area fill style is being discussed in the design team. Actually the blog post with our suggestion is in preparation. So stay tuned.

About the wording: picture, bitmap, image, graphic - that's all the same to me. Bitmap as Windows Bitmap bmp is not the same as bitmap. Wikipedia reads similar: 

"Bitmap is a type of memory organization or image file format used to store digital images.

Bitmap or bit map may also mean the following:

    Bitmap graphics, also known as raster graphics, an image represented by a generally rectangular grid of pixels (co-sitting points of colors)"

Nonetheless we should take care about consistent wording. My (non-native) suggestion (inspired by Lazarus/Freepascal):

"graphic": the abstract allocation of pixels in two dimensions
"picture": container for graphics with any pixel format (to avoid confusion the bitmap goes here as an instance of a picture; alternatively a jpeg, png, etc. "Load picture" would be correct then.)
"image": visual representation on the screen ("Image properties" would be correct for tweaking the size rather than picture/bitmap/graphic etc.)
Comment 5 Buovjaga 2015-12-10 12:30:45 UTC
Just a small note: I took Wolfgang's remark to mean that not only raster formats can be imported, but vector formats like SVG, too.
Comment 6 V Stuart Foote 2015-12-10 16:21:36 UTC
Yes, all of OPs observations are correct. There is inconsistency across the components in how the page background fill tool for bitmaps are structured.

--Tab labels--
   Area (Writer) vs. Background (Calc, Draw, Impress)

--Dialog names--
   Page Style (Writer, Calc) vs. Page Setup (Draw, Impress --w/ no Import) 

--Button lables--
   Import graphic...(Writer)  vs. Browse (Calc) 
   **Draw and Impress are missing an import option button - that seems incorrect

Possible that the dialogs really are different (Page Style vs. Page Setup), but believe they are all controlling the same page background fill attribute(s) of the internal and ODF document. So, IMHO the crux here is simple inconsistency of labeling in the UI.

I also believe the handling in Writer's Format -> Page dialog: Area tab is incorrect label it should also be "Background" (for the page), but otherwise is the most complete and should be the model to bring the other dialogs and tabs consistent.


Regards nomenclature:

"Vector" based drawings, and "Raster" bitmaps are all "graphics", internally they are all processed into bitmap metafiles for rendering onto the drawing canvas. So we do not need to be too concerned with notation--so long as it is consistent.   And so long as when saved to ODF or export to external format--the correct conversions are applied--mainly to preserve/control resolution where appropriate.
Comment 7 Robinson Tryon (qubit) 2016-08-25 04:44:51 UTC Comment hidden (obsolete)
Comment 8 V Stuart Foote 2016-09-16 12:52:09 UTC
The UI issue here affects all modules back to LibreOffice
Comment 9 Yousuf Philips (jay) (retired) 2016-09-17 19:34:12 UTC
All dialogs should use the new all-in-one area fill tab (bug 94551) when applicable. Calc's format > page > background tab seems to be just like Writer's table > properties > background tab.
Comment 10 Heiko Tietze 2018-01-16 10:10:07 UTC
The new area fill dialog has been introduced. Missing pieces are handled in bug 105225. Closing this ticket as NAB.